@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

/* TODO: This is just an initial CSS styling! It should be adjusted by the UI team! */

$productstats__chartcontainer--box-shadow: 0 1px 2px rgba($grey__default--1100, 0.58);
$productstats__chartcontainer-main--bg-color: $white;
$productstats__chartcontainer-main--height: 404px;

.yw-product-stats-container {
    overflow: hidden;
    width: auto;
    height: auto;
    box-shadow: $productstats__chartcontainer--box-shadow;
//  .yw-product-stats-container-main {
    &-main {
      overflow: hidden;
      background-color: $productstats__chartcontainer-main--bg-color;
      height: $productstats__chartcontainer-main--height;
    }

    &-charts-wrapper {
      float: left;
      width: 80%;
      text-align: center;
      

      .highcharts-container.z-charts {
        width: 100% !important;
        > .highcharts-root {
          width: 100% !important;
        }
      }
    }

    &-right-pane {
      float: left;
      text-align: center;
      width: 20%;
      padding-top: 6%;
      padding-left: 1%;
      padding-right: 1%;
      position: relative;
      z-index: 1;
      line-height: 350%;

      button.ye-text-button {
        float: left;
        width: 100%;
        cursor: pointer;
        color: $blue__default--400; //#0e90d2;
        text-transform: none;
        margin-bottom: 5px;
      }

      .yw-product-stats {
        &-total-count {
          float: left;
          width: 100%;
          margin-bottom: 15px;
          border-bottom: $boxes--border__thin solid $grey__default--900;
          color: $black__blueish--100;

          
        }
        &-chart-info-value {
          display: block;
          font-size: 34px;
          font-weight: bold;
        }

        &-chart-info-label {
          font-size: 13px;
        }
      }
    }
//  }
  
  &-bottom-pane {
      float: left;
      width: 100%;
  
    .yw-product-stats-chart-info-container {
      width: 100%;
      min-height: 85px;
      height: 85px;
      display: table;
      padding: 10px;
      text-align: center;
      background-color: rgba(127, 144, 165, 0.2);
      
      .yw-product-stats-chart-info-container-wrapper {
        width: 33.33%;
        float: left;

        .yw-product-stats-chart-info-value {
          display: block;
          font-size: 34px;
          font-weight: bold;
       }

        .yw-product-stats-chart-info-label {
          font-size: 13px;
        }
      }
    }
  }
}
